Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 598329 - redstone.xmlrpc.XmlRpcFault: cobbler.cexceptions.CX:'login failed: taskomatic_user'
redstone.xmlrpc.XmlRpcFault: cobbler.cexceptions.CX:'login failed: taskomatic...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2010-06-01 01:53 EDT by Jan Hutař
Modified: 2014-07-04 09:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 09:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2010-06-01 01:53:56 EDT
Description of problem:
When I'm restarting various services of Satellite, I get traceback in my (root's) mailbox.


Version-Release number of selected component (if applicable):
RHN Satellite 5.3.0 + erratas


How reproducible:
sometimes, mostly in RHTS


Steps to Reproduce:
1. run RHTS test /CoreOS/RHN-Satellite/Installer/Sanity/restartable-services


Actual results:
I see traceback in RHTS as in:
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=14463437
(see _var_spool_mail_root file in attached logs.160494_411386_3359674.tar.gz)

Expected results:
There should be no traceback generated


Additional info:
For now, I have disabled that check in the test, so you have to comment out the check:

http://cvs.devel.redhat.com/cgi-bin/cvsweb.cgi/tests/RHN-Satellite/Installer/Sanity/restartable-services/runtest.sh.diff?r1=1.20;r2=1.21;f=h

Manual run seems not to generate such a traceback, only automated one in RHTS.

Traceback from the mailbox is:

com.redhat.rhn.manager.kickstart.cobbler.NoCobblerTokenException: We had an error trying to login.
	at com.redhat.rhn.manager.kickstart.cobbler.CobblerLoginCommand.login(CobblerLoginCommand.java:57)
	at com.redhat.rhn.frontend.integration.IntegrationService.authorize(IntegrationService.java:114)
	at com.redhat.rhn.frontend.integration.IntegrationService.getAuthToken(IntegrationService.java:67)
	at com.redhat.rhn.manager.kickstart.cobbler.CobblerCommand.<init>(CobblerCommand.java:68)
	at com.redhat.rhn.manager.kickstart.cobbler.CobblerDistroSyncCommand.<init>(CobblerDistroSyncCommand.java:49)
	at com.redhat.rhn.taskomatic.task.CobblerSyncTask.execute(CobblerSyncTask.java:83)
	at com.redhat.rhn.taskomatic.task.SingleThreadedTestableTask.execute(SingleThreadedTestableTask.java:54)
	at org.quartz.core.JobRunShell.run(JobRunShell.java:203)
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:520)
Caused by: redstone.xmlrpc.XmlRpcFault: cobbler.cexceptions.CX:'login failed: taskomatic_user'
	at redstone.xmlrpc.XmlRpcClient.handleResponse(XmlRpcClient.java:443)
	at redstone.xmlrpc.XmlRpcClient.endCall(XmlRpcClient.java:376)
	at redstone.xmlrpc.XmlRpcClient.invoke(XmlRpcClient.java:165)
	at com.redhat.rhn.manager.kickstart.cobbler.CobblerXMLRPCHelper.invokeMethod(CobblerXMLRPCHelper.java:69)
	at com.redhat.rhn.manager.kickstart.cobbler.CobblerLoginCommand.login(CobblerLoginCommand.java:52)
	... 8 more

Note You need to log in before you can comment on or make changes to this bug.